slapt-src(8)

NAME
slapt-src - slackbuild utility

SYNOPSIS
slapt-src [ option(s) ] [ action ]

options: [ --yes | -y ] [ --config | -c ] [ --no-dep | -n ]

action: [ --update|-u ] [ --list |-l ] [ --search |-s ] [ --show |-w ] [ --install|-i ] [ --build |-b ] [ --fetch |-f ]

DESCRIPTION
slapt-src is a utility to make querying, retrieving, and building slackbuilds as easily as working with binary packages with slapt-get.

OPTIONS

--yes | -y
    Do not prompt

--config | -c
    Use the specified configuration file instead of /etc/slapt-get/slapt-srcrc

--no-dep | -n
    Do not look for dependencies.

ACTIONS

--update|-u
    Update the local cache of remote slackbuilds.

--list|-l
    List available slackbuilds from enabled remote slackbuild sources.

--search|-s [expression(s)
    Search available slackbuilds from enabled remote slackbuild sources.

--show|-w [expression(s)]
    Show information about specified slackbuilds.

--install|-i [expression(s)]
    Fetch, build, and install the specified slackbuild(s).

--build|-b [expression(s)]
    Only fetch and build the specified slackbuild(s).

--fetch|-f [expression(s)]
    Only fetch the specified slackbuild(s).

CONFIGURATION
slapt-src checks The configuration file /etc/slapt-get/slapt-srcrc for options and slackbuild locations. Each slackbuild location is defined with a a SOURCE token. The default package file extension is defined by specifying the PKGEXT token. The default package tag can be set by specifying the PKGTAG token. An example configuration file may look like this:
# sample slapt-getrc
SOURCE=http://www.slackware.org.uk/html/slapt-src/slackbuilds.org/13.1/
BUILDDIR=/tmp
PKGEXT=txz
PKGTAG=me

AUTHOR
Jason Woodward <woodwardj@jaos.org>

SEE ALSO
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8), slapt-get(8)